# Request options

This chapter shows you how to fine-tune your API calls using **includes**, **selecting fields**, using **filtering**, and **ordering / sorting**. Mastering request options helps you fetch exactly what you need and omit what you don’t for faster, leaner, more efficient responses.

{% content-ref url="request-options/includes" %}
[includes](https://docs.sportmonks.com/v3/api/request-options/includes)
{% endcontent-ref %}

{% content-ref url="../tutorials-and-guides/tutorials/filter-and-select-fields/selecting-fields" %}
[selecting-fields](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/filter-and-select-fields/selecting-fields)
{% endcontent-ref %}

{% content-ref url="request-options/filtering" %}
[filtering](https://docs.sportmonks.com/v3/api/request-options/filtering)
{% endcontent-ref %}

{% content-ref url="request-options/selecting-and-filtering" %}
[selecting-and-filtering](https://docs.sportmonks.com/v3/api/request-options/selecting-and-filtering)
{% endcontent-ref %}

{% content-ref url="request-options/ordering-and-sorting" %}
[ordering-and-sorting](https://docs.sportmonks.com/v3/api/request-options/ordering-and-sorting)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/api/request-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
